#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './MainDlg.ui'
**
** Created: Sat Mar 17 18:38:31 2001
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "MainDlg.h"

#include <kcolorbutton.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a MainDlg which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
MainDlg::MainDlg( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MainDlg" );
    resize( 553, 698 ); 
    setCaption( i18n( "kMatEdit v1.0 - Lightflow Material Composer" ) );
    MainDlgLayout = new QVBoxLayout( this ); 
    MainDlgLayout->setSpacing( 6 );
    MainDlgLayout->setMargin( 11 );

    Layout2 = new QHBoxLayout; 
    Layout2->setSpacing( 6 );
    Layout2->setMargin( 0 );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setText( i18n( "scene object" ) );
    Layout2->addWidget( TextLabel1 );

    SceneObjEntry = new QLineEdit( this, "SceneObjEntry" );
    QToolTip::add(  SceneObjEntry, i18n( "your scene object" ) );
    Layout2->addWidget( SceneObjEntry );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    Layout2->addItem( spacer );
    MainDlgLayout->addLayout( Layout2 );

    TabObjectType = new QTabWidget( this, "TabObjectType" );

    lights = new QWidget( TabObjectType, "lights" );
    lightsLayout = new QVBoxLayout( lights ); 
    lightsLayout->setSpacing( 6 );
    lightsLayout->setMargin( 11 );

    Layout26 = new QGridLayout; 
    Layout26->setSpacing( 6 );
    Layout26->setMargin( 0 );

    LightIntensityEntry = new QSpinBox( lights, "LightIntensityEntry" );
    LightIntensityEntry->setMinValue( 1 );
    LightIntensityEntry->setMaxValue( 400 );
    LightIntensityEntry->setValue( 1 );
    QToolTip::add(  LightIntensityEntry, i18n( "Intensity of Emission" ) );

    Layout26->addWidget( LightIntensityEntry, 1, 3 );

    TextLabel2 = new QLabel( lights, "TextLabel2" );
    TextLabel2->setText( i18n( "Type:" ) );

    Layout26->addWidget( TextLabel2, 0, 0 );

    LightShadowCheck = new QCheckBox( lights, "LightShadowCheck" );
    LightShadowCheck->setText( i18n( "Shadows" ) );
    LightShadowCheck->setEnabled( TRUE );
    LightShadowCheck->setChecked( TRUE );
    QToolTip::add(  LightShadowCheck, i18n( "use shadows?" ) );

    Layout26->addWidget( LightShadowCheck, 1, 6 );

    TextLabel3 = new QLabel( lights, "TextLabel3" );
    TextLabel3->setText( i18n( "Color:" ) );

    Layout26->addWidget( TextLabel3, 1, 0 );

    TextLabel4 = new QLabel( lights, "TextLabel4" );
    TextLabel4->setText( i18n( "Position:" ) );

    Layout26->addWidget( TextLabel4, 2, 0 );

    LightDecayEntry = new QSpinBox( lights, "LightDecayEntry" );
    LightDecayEntry->setMinValue( -99 );
    LightDecayEntry->setValue( 2 );
    QToolTip::add(  LightDecayEntry, i18n( "decay exponent" ) );

    Layout26->addWidget( LightDecayEntry, 1, 5 );

    TextLabel6 = new QLabel( lights, "TextLabel6" );
    TextLabel6->setText( i18n( "Decay:" ) );
    TextLabel6->setAlignment( int( QLabel::AlignCenter ) );

    Layout26->addWidget( TextLabel6, 1, 4 );

    Layout5 = new QHBoxLayout; 
    Layout5->setSpacing( 6 );
    Layout5->setMargin( 0 );

    TextLabel5 = new QLabel( lights, "TextLabel5" );
    TextLabel5->setText( i18n( "X:" ) );
    Layout5->addWidget( TextLabel5 );

    LightPosXEntry = new QLineEdit( lights, "LightPosXEntry" );
    Layout5->addWidget( LightPosXEntry );

    TextLabel5_2 = new QLabel( lights, "TextLabel5_2" );
    TextLabel5_2->setText( i18n( "Y:" ) );
    Layout5->addWidget( TextLabel5_2 );

    LightPosYEntry = new QLineEdit( lights, "LightPosYEntry" );
    Layout5->addWidget( LightPosYEntry );

    TextLabel5_3 = new QLabel( lights, "TextLabel5_3" );
    TextLabel5_3->setText( i18n( "Z:" ) );
    Layout5->addWidget( TextLabel5_3 );

    LightPosZEntry = new QLineEdit( lights, "LightPosZEntry" );
    Layout5->addWidget( LightPosZEntry );

    Layout26->addMultiCellLayout( Layout5, 2, 2, 1, 7 );

    LightType = new QComboBox( FALSE, lights, "LightType" );
    LightType->insertItem( i18n( "ambient" ) );
    LightType->insertItem( i18n( "conic" ) );
    LightType->insertItem( i18n( "directional" ) );
    LightType->insertItem( i18n( "directional patch" ) );
    LightType->insertItem( i18n( "patch" ) );
    LightType->insertItem( i18n( "point" ) );
    LightType->insertItem( i18n( "soft" ) );
    LightType->insertItem( i18n( "soft-conic" ) );
    LightType->insertItem( i18n( "soft-directional" ) );

    Layout26->addWidget( LightType, 0, 1 );

    Layout5_2 = new QHBoxLayout; 
    Layout5_2->setSpacing( 6 );
    Layout5_2->setMargin( 0 );

    TextLabel5_4 = new QLabel( lights, "TextLabel5_4" );
    TextLabel5_4->setText( i18n( "X:" ) );
    Layout5_2->addWidget( TextLabel5_4 );

    LightDirXEntry = new QLineEdit( lights, "LightDirXEntry" );
    Layout5_2->addWidget( LightDirXEntry );

    TextLabel5_2_2 = new QLabel( lights, "TextLabel5_2_2" );
    TextLabel5_2_2->setText( i18n( "Y:" ) );
    Layout5_2->addWidget( TextLabel5_2_2 );

    LightDirYEntry = new QLineEdit( lights, "LightDirYEntry" );
    Layout5_2->addWidget( LightDirYEntry );

    TextLabel5_3_2 = new QLabel( lights, "TextLabel5_3_2" );
    TextLabel5_3_2->setText( i18n( "Z:" ) );
    Layout5_2->addWidget( TextLabel5_3_2 );

    LightDirZEntry = new QLineEdit( lights, "LightDirZEntry" );
    Layout5_2->addWidget( LightDirZEntry );

    Layout26->addMultiCellLayout( Layout5_2, 3, 3, 1, 7 );

    LightColorEntry = new KColorButton( lights, "LightColorEntry" );
    LightColorEntry->setText( QString::null );
    QToolTip::add(  LightColorEntry, i18n( "color of light" ) );

    Layout26->addWidget( LightColorEntry, 1, 1 );

    LightSourceExplanation = new QLabel( lights, "LightSourceExplanation" );
    LightSourceExplanation->setText( i18n( "ambient /background light" ) );
    LightSourceExplanation->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)1, LightSourceExplanation->sizePolicy().hasHeightForWidth() ) );

    Layout26->addMultiCellWidget( LightSourceExplanation, 0, 0, 2, 6 );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout26->addItem( spacer_2, 1, 7 );

    TextLabel4_2 = new QLabel( lights, "TextLabel4_2" );
    TextLabel4_2->setText( i18n( "Direction:" ) );

    Layout26->addWidget( TextLabel4_2, 3, 0 );

    TextLabel8 = new QLabel( lights, "TextLabel8" );
    TextLabel8->setText( i18n( "Intensity:" ) );

    Layout26->addWidget( TextLabel8, 1, 2 );
    lightsLayout->addLayout( Layout26 );

    Layout35 = new QHBoxLayout; 
    Layout35->setSpacing( 6 );
    Layout35->setMargin( 0 );

    Layout34 = new QVBoxLayout; 
    Layout34->setSpacing( 6 );
    Layout34->setMargin( 0 );

    LightConicAttributes = new QGroupBox( lights, "LightConicAttributes" );
    LightConicAttributes->setTitle( i18n( "spot light attributes" ) );
    LightConicAttributes->setColumnLayout(0, Qt::Vertical );
    LightConicAttributes->layout()->setSpacing( 0 );
    LightConicAttributes->layout()->setMargin( 0 );
    LightConicAttributesLayout = new QGridLayout( LightConicAttributes->layout() );
    LightConicAttributesLayout->setAlignment( Qt::AlignTop );
    LightConicAttributesLayout->setSpacing( 6 );
    LightConicAttributesLayout->setMargin( 11 );

    LightAngleEntry = new QSpinBox( LightConicAttributes, "LightAngleEntry" );
    LightAngleEntry->setMaxValue( 180 );
    QToolTip::add(  LightAngleEntry, i18n( "opening angle of light beam" ) );

    LightConicAttributesLayout->addWidget( LightAngleEntry, 0, 1 );

    TextLabel10 = new QLabel( LightConicAttributes, "TextLabel10" );
    TextLabel10->setText( i18n( "Angle:" ) );

    LightConicAttributesLayout->addWidget( TextLabel10, 0, 0 );

    LightPenumbraAngle = new QSpinBox( LightConicAttributes, "LightPenumbraAngle" );
    LightPenumbraAngle->setMaxValue( 180 );
    QToolTip::add(  LightPenumbraAngle, i18n( "penumbra angle" ) );

    LightConicAttributesLayout->addWidget( LightPenumbraAngle, 1, 1 );

    TextLabel11 = new QLabel( LightConicAttributes, "TextLabel11" );
    TextLabel11->setText( i18n( "penumbra:" ) );

    LightConicAttributesLayout->addWidget( TextLabel11, 1, 0 );

    TextLabel12 = new QLabel( LightConicAttributes, "TextLabel12" );
    TextLabel12->setText( i18n( "exponent:" ) );

    LightConicAttributesLayout->addWidget( TextLabel12, 2, 0 );

    LightPenumbraExponent = new QLineEdit( LightConicAttributes, "LightPenumbraExponent" );
    LightPenumbraExponent->setText( i18n( "1" ) );
    LightPenumbraExponent->setEnabled( TRUE );
    QToolTip::add(  LightPenumbraExponent, i18n( "exponential factor that controls the diminuition of the intensity inside the penumbra" ) );

    LightConicAttributesLayout->addWidget( LightPenumbraExponent, 2, 1 );
    Layout34->addWidget( LightConicAttributes );

    GroupBox52 = new QGroupBox( lights, "GroupBox52" );
    GroupBox52->setTitle( i18n( "ambient light attributes" ) );
    GroupBox52->setColumnLayout(0, Qt::Vertical );
    GroupBox52->layout()->setSpacing( 0 );
    GroupBox52->layout()->setMargin( 0 );
    GroupBox52Layout = new QVBoxLayout( GroupBox52->layout() );
    GroupBox52Layout->setAlignment( Qt::AlignTop );
    GroupBox52Layout->setSpacing( 6 );
    GroupBox52Layout->setMargin( 11 );

    LightAmbientPatternCheck = new QCheckBox( GroupBox52, "LightAmbientPatternCheck" );
    LightAmbientPatternCheck->setText( i18n( "use vol. pattern" ) );
    GroupBox52Layout->addWidget( LightAmbientPatternCheck );

    LightAmbientPatternEntry = new QLineEdit( GroupBox52, "LightAmbientPatternEntry" );
    LightAmbientPatternEntry->setEnabled( FALSE );
    QToolTip::add(  LightAmbientPatternEntry, i18n( "voulumetric pattern" ) );
    GroupBox52Layout->addWidget( LightAmbientPatternEntry );
    Layout34->addWidget( GroupBox52 );
    Layout35->addLayout( Layout34 );

    LightSoftShadowAttributes = new QGroupBox( lights, "LightSoftShadowAttributes" );
    LightSoftShadowAttributes->setTitle( i18n( "soft light attributes" ) );
    LightSoftShadowAttributes->setColumnLayout(0, Qt::Vertical );
    LightSoftShadowAttributes->layout()->setSpacing( 0 );
    LightSoftShadowAttributes->layout()->setMargin( 0 );
    LightSoftShadowAttributesLayout = new QGridLayout( LightSoftShadowAttributes->layout() );
    LightSoftShadowAttributesLayout->setAlignment( Qt::AlignTop );
    LightSoftShadowAttributesLayout->setSpacing( 6 );
    LightSoftShadowAttributesLayout->setMargin( 11 );

    LightSoftZBuffer = new QSpinBox( LightSoftShadowAttributes, "LightSoftZBuffer" );
    LightSoftZBuffer->setMaxValue( 5000 );
    LightSoftZBuffer->setValue( 256 );
    QToolTip::add(  LightSoftZBuffer, i18n( "Specify the size in pixels of the zbuffer.  The larger this value is, the more detailed will be the shadows, but the precomputation step will take longer times and higher memory occupancy." ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftZBuffer, 0, 1 );

    TextLabel13 = new QLabel( LightSoftShadowAttributes, "TextLabel13" );
    TextLabel13->setText( i18n( "z-Buffer:" ) );

    LightSoftShadowAttributesLayout->addWidget( TextLabel13, 0, 0 );

    TextLabel14 = new QLabel( LightSoftShadowAttributes, "TextLabel14" );
    TextLabel14->setText( i18n( "radius:" ) );

    LightSoftShadowAttributesLayout->addWidget( TextLabel14, 1, 0 );

    TextLabel15 = new QLabel( LightSoftShadowAttributes, "TextLabel15" );
    TextLabel15->setText( i18n( "samples:" ) );

    LightSoftShadowAttributesLayout->addWidget( TextLabel15, 2, 0 );

    LightSoftSamples = new QSpinBox( LightSoftShadowAttributes, "LightSoftSamples" );
    LightSoftSamples->setMaxValue( 5000 );
    LightSoftSamples->setValue( 6 );
    QToolTip::add(  LightSoftSamples, i18n( "Specify the number of samples that are taken from the zbuffer to compute the blurring filter." ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftSamples, 2, 1 );

    LightSoftRadius = new QSpinBox( LightSoftShadowAttributes, "LightSoftRadius" );
    LightSoftRadius->setMaxValue( 100 );
    LightSoftRadius->setPrefix( QString::null );
    LightSoftRadius->setSuffix( i18n( "%" ) );
    LightSoftRadius->setValue( 1 );
    QToolTip::add(  LightSoftRadius, i18n( "  Specify the radius of the filter that is used to blur the shadows." ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftRadius, 1, 1 );

    TextLabel16 = new QLabel( LightSoftShadowAttributes, "TextLabel16" );
    TextLabel16->setText( i18n( "bias:" ) );

    LightSoftShadowAttributesLayout->addWidget( TextLabel16, 3, 0 );

    LightSoftBias = new QLineEdit( LightSoftShadowAttributes, "LightSoftBias" );
    LightSoftBias->setText( i18n( "0.2" ) );
    QToolTip::add(  LightSoftBias, i18n( "Specify a biasing value that is used to make the shadows look less grainy.  This value should not be modified unless the results present strange streaks. In this case it should be increased.  The default is 0.2. " ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftBias, 3, 1 );

    LightSoftFileEntry = new QLineEdit( LightSoftShadowAttributes, "LightSoftFileEntry" );
    LightSoftFileEntry->setEnabled( FALSE );

    LightSoftShadowAttributesLayout->addMultiCellWidget( LightSoftFileEntry, 5, 5, 0, 1 );

    LightSoftFileAttribCheck = new QCheckBox( LightSoftShadowAttributes, "LightSoftFileAttribCheck" );
    LightSoftFileAttribCheck->setText( i18n( "File" ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftFileAttribCheck, 4, 0 );

    LightSoftFileFlagEntry = new QComboBox( FALSE, LightSoftShadowAttributes, "LightSoftFileFlagEntry" );
    LightSoftFileFlagEntry->insertItem( i18n( "save" ) );
    LightSoftFileFlagEntry->insertItem( i18n( "load" ) );
    LightSoftFileFlagEntry->setEnabled( FALSE );

    LightSoftShadowAttributesLayout->addWidget( LightSoftFileFlagEntry, 4, 1 );
    Layout35->addWidget( LightSoftShadowAttributes );

    GroupBox21 = new QGroupBox( lights, "GroupBox21" );
    GroupBox21->setTitle( i18n( "patch light attributes" ) );
    GroupBox21->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, GroupBox21->sizePolicy().hasHeightForWidth() ) );
    GroupBox21->setColumnLayout(0, Qt::Vertical );
    GroupBox21->layout()->setSpacing( 0 );
    GroupBox21->layout()->setMargin( 0 );
    GroupBox21Layout = new QGridLayout( GroupBox21->layout() );
    GroupBox21Layout->setAlignment( Qt::AlignTop );
    GroupBox21Layout->setSpacing( 6 );
    GroupBox21Layout->setMargin( 11 );

    LightPatchTwoSidesCheck = new QCheckBox( GroupBox21, "LightPatchTwoSidesCheck" );
    LightPatchTwoSidesCheck->setText( i18n( "two sides" ) );
    QToolTip::add(  LightPatchTwoSidesCheck, i18n( "Specify if the patch emits light on both sides." ) );

    GroupBox21Layout->addWidget( LightPatchTwoSidesCheck, 5, 1 );

    TextLabel17 = new QLabel( GroupBox21, "TextLabel17" );
    TextLabel17->setText( i18n( "P1" ) );

    GroupBox21Layout->addWidget( TextLabel17, 1, 0 );

    TextLabel18 = new QLabel( GroupBox21, "TextLabel18" );
    TextLabel18->setText( i18n( "P2" ) );

    GroupBox21Layout->addWidget( TextLabel18, 2, 0 );

    TextLabel19 = new QLabel( GroupBox21, "TextLabel19" );
    TextLabel19->setText( i18n( "P3" ) );

    GroupBox21Layout->addWidget( TextLabel19, 3, 0 );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox21Layout->addItem( spacer_3, 5, 2 );
    QSpacerItem* spacer_4 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox21Layout->addItem( spacer_4, 0, 0 );

    LightPatchP1ZEntry = new QLineEdit( GroupBox21, "LightPatchP1ZEntry" );

    GroupBox21Layout->addWidget( LightPatchP1ZEntry, 1, 3 );

    LightPatchP1YEntry = new QLineEdit( GroupBox21, "LightPatchP1YEntry" );

    GroupBox21Layout->addWidget( LightPatchP1YEntry, 1, 2 );

    LightPatchP2YEntry = new QLineEdit( GroupBox21, "LightPatchP2YEntry" );

    GroupBox21Layout->addWidget( LightPatchP2YEntry, 2, 2 );

    LightPatchP2ZEntry = new QLineEdit( GroupBox21, "LightPatchP2ZEntry" );

    GroupBox21Layout->addWidget( LightPatchP2ZEntry, 2, 3 );

    LightPatchP3ZEntry = new QLineEdit( GroupBox21, "LightPatchP3ZEntry" );

    GroupBox21Layout->addWidget( LightPatchP3ZEntry, 3, 3 );

    LightPatchP4ZEntry = new QLineEdit( GroupBox21, "LightPatchP4ZEntry" );

    GroupBox21Layout->addWidget( LightPatchP4ZEntry, 4, 3 );

    LightPatchP3YEntry = new QLineEdit( GroupBox21, "LightPatchP3YEntry" );

    GroupBox21Layout->addWidget( LightPatchP3YEntry, 3, 2 );

    LightPatchP4YEntry = new QLineEdit( GroupBox21, "LightPatchP4YEntry" );

    GroupBox21Layout->addWidget( LightPatchP4YEntry, 4, 2 );

    TextLabel23 = new QLabel( GroupBox21, "TextLabel23" );
    TextLabel23->setText( i18n( "Z" ) );
    TextLabel23->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox21Layout->addWidget( TextLabel23, 0, 3 );

    LightPatchP1XEntry = new QLineEdit( GroupBox21, "LightPatchP1XEntry" );

    GroupBox21Layout->addWidget( LightPatchP1XEntry, 1, 1 );

    LightPatchP3XEntry = new QLineEdit( GroupBox21, "LightPatchP3XEntry" );

    GroupBox21Layout->addWidget( LightPatchP3XEntry, 3, 1 );

    LightPatchP2XEntry = new QLineEdit( GroupBox21, "LightPatchP2XEntry" );

    GroupBox21Layout->addWidget( LightPatchP2XEntry, 2, 1 );

    LightPatchP4XEntry = new QLineEdit( GroupBox21, "LightPatchP4XEntry" );

    GroupBox21Layout->addWidget( LightPatchP4XEntry, 4, 1 );

    TextLabel20 = new QLabel( GroupBox21, "TextLabel20" );
    TextLabel20->setText( i18n( "P4" ) );

    GroupBox21Layout->addWidget( TextLabel20, 4, 0 );

    TextLabel21 = new QLabel( GroupBox21, "TextLabel21" );
    TextLabel21->setText( i18n( "X" ) );
    TextLabel21->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox21Layout->addWidget( TextLabel21, 0, 1 );

    TextLabel22 = new QLabel( GroupBox21, "TextLabel22" );
    TextLabel22->setText( i18n( "Y" ) );
    TextLabel22->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox21Layout->addWidget( TextLabel22, 0, 2 );
    Layout35->addWidget( GroupBox21 );
    lightsLayout->addLayout( Layout35 );
    TabObjectType->insertTab( lights, i18n( "Lights" ) );

    camera = new QWidget( TabObjectType, "camera" );
    cameraLayout = new QVBoxLayout( camera ); 
    cameraLayout->setSpacing( 6 );
    cameraLayout->setMargin( 11 );

    Layout41 = new QGridLayout; 
    Layout41->setSpacing( 6 );
    Layout41->setMargin( 0 );

    CameraSaverTypeEntry = new QGroupBox( camera, "CameraSaverTypeEntry" );
    CameraSaverTypeEntry->setTitle( i18n( "general parameters" ) );
    CameraSaverTypeEntry->setEnabled( TRUE );
    CameraSaverTypeEntry->setColumnLayout(0, Qt::Vertical );
    CameraSaverTypeEntry->layout()->setSpacing( 0 );
    CameraSaverTypeEntry->layout()->setMargin( 0 );
    CameraSaverTypeEntryLayout = new QGridLayout( CameraSaverTypeEntry->layout() );
    CameraSaverTypeEntryLayout->setAlignment( Qt::AlignTop );
    CameraSaverTypeEntryLayout->setSpacing( 6 );
    CameraSaverTypeEntryLayout->setMargin( 11 );

    TextLabel25 = new QLabel( CameraSaverTypeEntry, "TextLabel25" );
    TextLabel25->setText( i18n( "File:" ) );

    CameraSaverTypeEntryLayout->addWidget( TextLabel25, 0, 0 );

    CameraFileEntry = new QLineEdit( CameraSaverTypeEntry, "CameraFileEntry" );
    QToolTip::add(  CameraFileEntry, i18n( "base file name of image file." ) );

    CameraSaverTypeEntryLayout->addMultiCellWidget( CameraFileEntry, 0, 0, 1, 3 );

    TextLabel26 = new QLabel( CameraSaverTypeEntry, "TextLabel26" );
    TextLabel26->setText( i18n( "Typ:" ) );

    CameraSaverTypeEntryLayout->addWidget( TextLabel26, 0, 4 );

    TextLabel27 = new QLabel( CameraSaverTypeEntry, "TextLabel27" );
    TextLabel27->setText( i18n( "Resolution:" ) );

    CameraSaverTypeEntryLayout->addMultiCellWidget( TextLabel27, 1, 1, 0, 1 );

    CameraRadiosityCheck = new QCheckBox( CameraSaverTypeEntry, "CameraRadiosityCheck" );
    CameraRadiosityCheck->setText( i18n( "use radiosity" ) );

    CameraSaverTypeEntryLayout->addMultiCellWidget( CameraRadiosityCheck, 2, 2, 0, 2 );

    CameraTypeCombo = new QComboBox( FALSE, CameraSaverTypeEntry, "CameraTypeCombo" );
    CameraTypeCombo->insertItem( i18n( ".tga" ) );
    CameraTypeCombo->insertItem( i18n( ".lft" ) );

    CameraSaverTypeEntryLayout->addWidget( CameraTypeCombo, 0, 5 );
    QSpacerItem* spacer_5 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    CameraSaverTypeEntryLayout->addItem( spacer_5, 0, 6 );

    TextLabel28 = new QLabel( CameraSaverTypeEntry, "TextLabel28" );
    TextLabel28->setText( i18n( "x" ) );
    TextLabel28->setAlignment( int( QLabel::AlignCenter ) );

    CameraSaverTypeEntryLayout->addWidget( TextLabel28, 1, 3 );

    CameraResXEntry = new QLineEdit( CameraSaverTypeEntry, "CameraResXEntry" );
    CameraResXEntry->setText( i18n( "300" ) );
    CameraResXEntry->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, CameraResXEntry->sizePolicy().hasHeightForWidth() ) );

    CameraSaverTypeEntryLayout->addWidget( CameraResXEntry, 1, 2 );

    CameraResYEntry = new QLineEdit( CameraSaverTypeEntry, "CameraResYEntry" );
    CameraResYEntry->setText( i18n( "300" ) );
    CameraResYEntry->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, CameraResYEntry->sizePolicy().hasHeightForWidth() ) );

    CameraSaverTypeEntryLayout->addWidget( CameraResYEntry, 1, 4 );
    QSpacerItem* spacer_6 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    CameraSaverTypeEntryLayout->addItem( spacer_6, 1, 5 );

    CameraAlphaCheck = new QCheckBox( CameraSaverTypeEntry, "CameraAlphaCheck" );
    CameraAlphaCheck->setText( i18n( "write alpha" ) );
    CameraAlphaCheck->setChecked( TRUE );

    CameraSaverTypeEntryLayout->addMultiCellWidget( CameraAlphaCheck, 2, 2, 3, 5 );

    Layout41->addWidget( CameraSaverTypeEntry, 0, 0 );

    GroupBox61 = new QGroupBox( camera, "GroupBox61" );
    GroupBox61->setTitle( i18n( "extended camera parameters" ) );
    GroupBox61->setColumnLayout(0, Qt::Vertical );
    GroupBox61->layout()->setSpacing( 0 );
    GroupBox61->layout()->setMargin( 0 );
    GroupBox61Layout = new QVBoxLayout( GroupBox61->layout() );
    GroupBox61Layout->setAlignment( Qt::AlignTop );
    GroupBox61Layout->setSpacing( 6 );
    GroupBox61Layout->setMargin( 11 );

    CameraExtParamTab = new QTabWidget( GroupBox61, "CameraExtParamTab" );

    camextaa = new QWidget( CameraExtParamTab, "camextaa" );
    camextaaLayout = new QGridLayout( camextaa ); 
    camextaaLayout->setSpacing( 6 );
    camextaaLayout->setMargin( 11 );

    CameraAAThresholdEntry = new QLineEdit( camextaa, "CameraAAThresholdEntry" );
    CameraAAThresholdEntry->setText( i18n( "0.07" ) );
    CameraAAThresholdEntry->setEnabled( FALSE );

    camextaaLayout->addWidget( CameraAAThresholdEntry, 3, 1 );

    CameraAASamplesCheck = new QCheckBox( camextaa, "CameraAASamplesCheck" );
    CameraAASamplesCheck->setText( i18n( "aa-samples" ) );
    QToolTip::add(  CameraAASamplesCheck, i18n( "Specify the number of per-pixel anti-aliasing samples. " ) );

    camextaaLayout->addWidget( CameraAASamplesCheck, 0, 0 );
    QSpacerItem* spacer_7 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    camextaaLayout->addItem( spacer_7, 0, 1 );

    CameraAAJitterCheck = new QCheckBox( camextaa, "CameraAAJitterCheck" );
    CameraAAJitterCheck->setText( i18n( "aa-jitter" ) );
    QToolTip::add(  CameraAAJitterCheck, i18n( "Specify the amount of jittering used to randomize antialiasing samples." ) );

    camextaaLayout->addWidget( CameraAAJitterCheck, 4, 0 );

    CameraAAThresholdCheck = new QCheckBox( camextaa, "CameraAAThresholdCheck" );
    CameraAAThresholdCheck->setText( i18n( "aa-threshold:" ) );
    QToolTip::add(  CameraAAThresholdCheck, i18n( "If a pixel contains a variance greater than threshold, supersampling is performed." ) );

    camextaaLayout->addWidget( CameraAAThresholdCheck, 3, 0 );

    CameraAAJitterEntry = new QLineEdit( camextaa, "CameraAAJitterEntry" );
    CameraAAJitterEntry->setText( i18n( "0.5" ) );
    CameraAAJitterEntry->setEnabled( FALSE );

    camextaaLayout->addWidget( CameraAAJitterEntry, 4, 1 );

    TextLabel48_2 = new QLabel( camextaa, "TextLabel48_2" );
    TextLabel48_2->setText( i18n( "supersampling:" ) );

    camextaaLayout->addWidget( TextLabel48_2, 2, 0 );

    TextLabel47_2 = new QLabel( camextaa, "TextLabel47_2" );
    TextLabel47_2->setText( i18n( "area:" ) );

    camextaaLayout->addWidget( TextLabel47_2, 1, 0 );

    CameraAAsupersamplingSpin = new QSpinBox( camextaa, "CameraAAsupersamplingSpin" );
    CameraAAsupersamplingSpin->setMaxValue( 400 );
    CameraAAsupersamplingSpin->setMinValue( 1 );
    CameraAAsupersamplingSpin->setValue( 4 );
    CameraAAsupersamplingSpin->setEnabled( FALSE );
    QToolTip::add(  CameraAAsupersamplingSpin, i18n( "supersampling factor" ) );

    camextaaLayout->addWidget( CameraAAsupersamplingSpin, 2, 1 );

    CameraAAareaSpin_2 = new QSpinBox( camextaa, "CameraAAareaSpin_2" );
    CameraAAareaSpin_2->setMaxValue( 400 );
    CameraAAareaSpin_2->setMinValue( 1 );
    CameraAAareaSpin_2->setValue( 2 );
    CameraAAareaSpin_2->setEnabled( FALSE );
    QToolTip::add(  CameraAAareaSpin_2, i18n( "Square root of the samples that are taken on every pixel" ) );

    camextaaLayout->addWidget( CameraAAareaSpin_2, 1, 1 );
    CameraExtParamTab->insertTab( camextaa, i18n( "anti-alias" ) );

    camextview = new QWidget( CameraExtParamTab, "camextview" );
    camextviewLayout = new QVBoxLayout( camextview ); 
    camextviewLayout->setSpacing( 6 );
    camextviewLayout->setMargin( 11 );

    Layout44 = new QGridLayout; 
    Layout44->setSpacing( 6 );
    Layout44->setMargin( 0 );

    CameraViewUpY = new QLineEdit( camextview, "CameraViewUpY" );
    CameraViewUpY->setText( i18n( "0" ) );
    CameraViewUpY->setEnabled( FALSE );

    Layout44->addWidget( CameraViewUpY, 1, 2 );

    CameraViewUpCheck = new QCheckBox( camextview, "CameraViewUpCheck" );
    CameraViewUpCheck->setText( i18n( "up" ) );
    QToolTip::add(  CameraViewUpCheck, i18n( "Specify the upper direction, that is to say the orientation of the camera, in world space coordinates. " ) );

    Layout44->addWidget( CameraViewUpCheck, 1, 0 );

    CameraViewUpX = new QLineEdit( camextview, "CameraViewUpX" );
    CameraViewUpX->setText( i18n( "0" ) );
    CameraViewUpX->setEnabled( FALSE );

    Layout44->addWidget( CameraViewUpX, 1, 1 );
    QSpacerItem* spacer_8 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout44->addItem( spacer_8, 0, 0 );

    CameraViewUpZ = new QLineEdit( camextview, "CameraViewUpZ" );
    CameraViewUpZ->setText( i18n( "0" ) );
    CameraViewUpZ->setEnabled( FALSE );

    Layout44->addWidget( CameraViewUpZ, 1, 3 );

    TextLabel31_3 = new QLabel( camextview, "TextLabel31_3" );
    TextLabel31_3->setText( i18n( "X" ) );
    TextLabel31_3->setAlignment( int( QLabel::AlignCenter ) );

    Layout44->addWidget( TextLabel31_3, 0, 1 );

    TextLabel32_3 = new QLabel( camextview, "TextLabel32_3" );
    TextLabel32_3->setText( i18n( "Y" ) );
    TextLabel32_3->setAlignment( int( QLabel::AlignCenter ) );

    Layout44->addWidget( TextLabel32_3, 0, 2 );

    TextLabel33_3 = new QLabel( camextview, "TextLabel33_3" );
    TextLabel33_3->setText( i18n( "Z" ) );
    TextLabel33_3->setAlignment( int( QLabel::AlignCenter ) );

    Layout44->addWidget( TextLabel33_3, 0, 3 );
    camextviewLayout->addLayout( Layout44 );

    Layout45 = new QHBoxLayout; 
    Layout45->setSpacing( 6 );
    Layout45->setMargin( 0 );

    CameraViewFovCheck = new QCheckBox( camextview, "CameraViewFovCheck" );
    CameraViewFovCheck->setText( i18n( "fov" ) );
    QToolTip::add(  CameraViewFovCheck, i18n( "Specify the field of view, expressed in radians." ) );
    Layout45->addWidget( CameraViewFovCheck );

    TextLabel45 = new QLabel( camextview, "TextLabel45" );
    TextLabel45->setText( i18n( "horiz." ) );
    Layout45->addWidget( TextLabel45 );

    CameraViewFovHorizEntry = new QLineEdit( camextview, "CameraViewFovHorizEntry" );
    CameraViewFovHorizEntry->setEnabled( FALSE );
    Layout45->addWidget( CameraViewFovHorizEntry );

    TextLabel46 = new QLabel( camextview, "TextLabel46" );
    TextLabel46->setText( i18n( "vert." ) );
    Layout45->addWidget( TextLabel46 );

    CameraViewVertEntry = new QLineEdit( camextview, "CameraViewVertEntry" );
    CameraViewVertEntry->setEnabled( FALSE );
    Layout45->addWidget( CameraViewVertEntry );
    camextviewLayout->addLayout( Layout45 );

    Layout46 = new QGridLayout; 
    Layout46->setSpacing( 6 );
    Layout46->setMargin( 0 );

    CameraViewAspectEntry = new QLineEdit( camextview, "CameraViewAspectEntry" );
    CameraViewAspectEntry->setText( i18n( "1.0" ) );
    CameraViewAspectEntry->setEnabled( FALSE );

    Layout46->addWidget( CameraViewAspectEntry, 1, 1 );

    CameraViewAspectCheck = new QCheckBox( camextview, "CameraViewAspectCheck" );
    CameraViewAspectCheck->setText( i18n( "aspect r.:" ) );
    QToolTip::add(  CameraViewAspectCheck, i18n( "Specify the width / height ratio of the pixels." ) );

    Layout46->addWidget( CameraViewAspectCheck, 1, 0 );

    CameraViewApertureEntry = new QLineEdit( camextview, "CameraViewApertureEntry" );
    CameraViewApertureEntry->setText( i18n( "0.0" ) );
    CameraViewApertureEntry->setEnabled( FALSE );
    QToolTip::add(  CameraViewApertureEntry, i18n( "By default the aperture is 0.0, producing a perfectly stable image. " ) );

    Layout46->addWidget( CameraViewApertureEntry, 0, 1 );

    CameraViewApertureCheck = new QCheckBox( camextview, "CameraViewApertureCheck" );
    CameraViewApertureCheck->setText( i18n( "aperture:" ) );
    QToolTip::add(  CameraViewApertureCheck, i18n( "Specify the aperture of the shutter. This parameter controls the depth of field, because a larger shutter produces more blurring. " ) );

    Layout46->addWidget( CameraViewApertureCheck, 0, 0 );
    camextviewLayout->addLayout( Layout46 );
    CameraExtParamTab->insertTab( camextview, i18n( "view" ) );
    GroupBox61Layout->addWidget( CameraExtParamTab );

    Layout41->addWidget( GroupBox61, 1, 1 );

    GroupBox58 = new QGroupBox( camera, "GroupBox58" );
    GroupBox58->setTitle( i18n( "filter parameters" ) );
    GroupBox58->setColumnLayout(0, Qt::Vertical );
    GroupBox58->layout()->setSpacing( 0 );
    GroupBox58->layout()->setMargin( 0 );
    GroupBox58Layout = new QVBoxLayout( GroupBox58->layout() );
    GroupBox58Layout->setAlignment( Qt::AlignTop );
    GroupBox58Layout->setSpacing( 6 );
    GroupBox58Layout->setMargin( 11 );

    Layout42 = new QHBoxLayout; 
    Layout42->setSpacing( 6 );
    Layout42->setMargin( 0 );

    CameraFilterEnableCheck = new QCheckBox( GroupBox58, "CameraFilterEnableCheck" );
    CameraFilterEnableCheck->setText( i18n( "use filter" ) );
    CameraFilterEnableCheck->setEnabled( TRUE );
    Layout42->addWidget( CameraFilterEnableCheck );

    CameraAddFilmCheck = new QCheckBox( GroupBox58, "CameraAddFilmCheck" );
    CameraAddFilmCheck->setText( i18n( "plus film filter" ) );
    QToolTip::add(  CameraAddFilmCheck, i18n( "add film imager to selected filter." ) );
    Layout42->addWidget( CameraAddFilmCheck );
    GroupBox58Layout->addLayout( Layout42 );

    CameraFilterSelTab = new QTabWidget( GroupBox58, "CameraFilterSelTab" );

    filterdoftab = new QWidget( CameraFilterSelTab, "filterdoftab" );
    filterdoftabLayout = new QGridLayout( filterdoftab ); 
    filterdoftabLayout->setSpacing( 6 );
    filterdoftabLayout->setMargin( 11 );

    TextLabel34 = new QLabel( filterdoftab, "TextLabel34" );
    TextLabel34->setText( i18n( "depth:" ) );

    filterdoftabLayout->addWidget( TextLabel34, 0, 0 );

    TextLabel35 = new QLabel( filterdoftab, "TextLabel35" );
    TextLabel35->setText( i18n( "radius:" ) );

    filterdoftabLayout->addWidget( TextLabel35, 1, 0 );

    CameraDofRadiusEntry = new QLineEdit( filterdoftab, "CameraDofRadiusEntry" );
    CameraDofRadiusEntry->setText( i18n( "0.01" ) );
    QToolTip::add(  CameraDofRadiusEntry, i18n( "Specify the smoothing radius, as a fraction of the image size, at the distance specified with \"depth\" from the actual focal point." ) );

    filterdoftabLayout->addMultiCellWidget( CameraDofRadiusEntry, 1, 1, 1, 2 );

    TextLabel36 = new QLabel( filterdoftab, "TextLabel36" );
    TextLabel36->setText( i18n( "mask:" ) );

    filterdoftabLayout->addWidget( TextLabel36, 2, 0 );

    CameraDofMaskSpin = new QSpinBox( filterdoftab, "CameraDofMaskSpin" );
    CameraDofMaskSpin->setMaxValue( 400 );
    CameraDofMaskSpin->setValue( 20 );
    QToolTip::add(  CameraDofMaskSpin, i18n( "Specify the maximum size of the smoothing mask, in pixels. " ) );

    filterdoftabLayout->addMultiCellWidget( CameraDofMaskSpin, 2, 2, 1, 2 );

    CameraDofDepthEntry = new QLineEdit( filterdoftab, "CameraDofDepthEntry" );
    CameraDofDepthEntry->setText( i18n( "-1" ) );
    CameraDofDepthEntry->setEnabled( FALSE );
    QToolTip::add(  CameraDofDepthEntry, i18n( "Specify the depth at which the image is in focus." ) );

    filterdoftabLayout->addWidget( CameraDofDepthEntry, 0, 1 );

    CameraDofAutofocusCheck = new QCheckBox( filterdoftab, "CameraDofAutofocusCheck" );
    CameraDofAutofocusCheck->setText( i18n( "autofocus" ) );
    CameraDofAutofocusCheck->setChecked( TRUE );
    QToolTip::add(  CameraDofAutofocusCheck, i18n( "will use an autofocus mechanism" ) );

    filterdoftabLayout->addWidget( CameraDofAutofocusCheck, 0, 2 );
    CameraFilterSelTab->insertTab( filterdoftab, i18n( "dof" ) );

    filterfilm = new QWidget( CameraFilterSelTab, "filterfilm" );
    filterfilmLayout = new QVBoxLayout( filterfilm ); 
    filterfilmLayout->setSpacing( 6 );
    filterfilmLayout->setMargin( 11 );
    QSpacerItem* spacer_9 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    filterfilmLayout->addItem( spacer_9 );

    Layout43 = new QHBoxLayout; 
    Layout43->setSpacing( 6 );
    Layout43->setMargin( 0 );

    TextLabel37 = new QLabel( filterfilm, "TextLabel37" );
    TextLabel37->setText( i18n( "grain:" ) );
    Layout43->addWidget( TextLabel37 );

    CameraFilmGrainEntry = new QLineEdit( filterfilm, "CameraFilmGrainEntry" );
    CameraFilmGrainEntry->setText( i18n( "0.1" ) );
    QToolTip::add(  CameraFilmGrainEntry, i18n( "Specify the graininess of the film." ) );
    Layout43->addWidget( CameraFilmGrainEntry );
    filterfilmLayout->addLayout( Layout43 );
    QSpacerItem* spacer_10 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    filterfilmLayout->addItem( spacer_10 );
    CameraFilterSelTab->insertTab( filterfilm, i18n( "film" ) );

    filterglitter = new QWidget( CameraFilterSelTab, "filterglitter" );
    filterglitterLayout = new QGridLayout( filterglitter ); 
    filterglitterLayout->setSpacing( 6 );
    filterglitterLayout->setMargin( 11 );

    TextLabel40 = new QLabel( filterglitter, "TextLabel40" );
    TextLabel40->setText( i18n( "threshold:" ) );

    filterglitterLayout->addWidget( TextLabel40, 2, 0 );

    CameraGlitterThresholdEntry = new QLineEdit( filterglitter, "CameraGlitterThresholdEntry" );
    CameraGlitterThresholdEntry->setText( i18n( "0.5" ) );
    QToolTip::add(  CameraGlitterThresholdEntry, i18n( "Specify the threshold above which a color produces glittering." ) );

    filterglitterLayout->addWidget( CameraGlitterThresholdEntry, 2, 1 );

    TextLabel38 = new QLabel( filterglitter, "TextLabel38" );
    TextLabel38->setText( i18n( "radius:" ) );

    filterglitterLayout->addWidget( TextLabel38, 0, 0 );

    CameraGlitterRadiusEntry = new QLineEdit( filterglitter, "CameraGlitterRadiusEntry" );
    CameraGlitterRadiusEntry->setText( i18n( "0.1" ) );
    QToolTip::add(  CameraGlitterRadiusEntry, i18n( "Specify the radius of glitters." ) );

    filterglitterLayout->addWidget( CameraGlitterRadiusEntry, 0, 1 );

    TextLabel39 = new QLabel( filterglitter, "TextLabel39" );
    TextLabel39->setText( i18n( "intensity:" ) );

    filterglitterLayout->addWidget( TextLabel39, 1, 0 );

    CameraGlitterIntensityEntry = new QLineEdit( filterglitter, "CameraGlitterIntensityEntry" );
    CameraGlitterIntensityEntry->setText( i18n( "0.005" ) );
    QToolTip::add(  CameraGlitterIntensityEntry, i18n( "Specify the intensity of the glitters." ) );

    filterglitterLayout->addWidget( CameraGlitterIntensityEntry, 1, 1 );
    CameraFilterSelTab->insertTab( filterglitter, i18n( "glitter" ) );

    filterhalo = new QWidget( CameraFilterSelTab, "filterhalo" );
    filterhaloLayout = new QGridLayout( filterhalo ); 
    filterhaloLayout->setSpacing( 6 );
    filterhaloLayout->setMargin( 11 );

    TextLabel42 = new QLabel( filterhalo, "TextLabel42" );
    TextLabel42->setText( i18n( "kr:" ) );

    filterhaloLayout->addWidget( TextLabel42, 0, 0 );

    TextLabel43 = new QLabel( filterhalo, "TextLabel43" );
    TextLabel43->setText( i18n( "km:" ) );

    filterhaloLayout->addWidget( TextLabel43, 1, 0 );

    TextLabel44 = new QLabel( filterhalo, "TextLabel44" );
    TextLabel44->setText( i18n( "shininess:" ) );

    filterhaloLayout->addWidget( TextLabel44, 2, 0 );

    CameraHaloShEntry = new QLineEdit( filterhalo, "CameraHaloShEntry" );
    CameraHaloShEntry->setText( i18n( "0.0" ) );
    QToolTip::add(  CameraHaloShEntry, i18n( "Specify the shininess factor of the camera lense. The greater this value, the stronger the halos." ) );

    filterhaloLayout->addWidget( CameraHaloShEntry, 2, 1 );

    CameraHaloKmEntry = new QLineEdit( filterhalo, "CameraHaloKmEntry" );
    CameraHaloKmEntry->setText( i18n( "0.01" ) );
    QToolTip::add(  CameraHaloKmEntry, i18n( "Specify the smoothness factor of the camera lense. The greater this value, the greater the halos." ) );

    filterhaloLayout->addWidget( CameraHaloKmEntry, 1, 1 );

    CameraHaloKrEntry = new QLineEdit( filterhalo, "CameraHaloKrEntry" );
    CameraHaloKrEntry->setText( i18n( "0.02" ) );
    QToolTip::add(  CameraHaloKrEntry, i18n( "Specify the reflection factor of the camera lense." ) );

    filterhaloLayout->addWidget( CameraHaloKrEntry, 0, 1 );
    CameraFilterSelTab->insertTab( filterhalo, i18n( "halo" ) );
    GroupBox58Layout->addWidget( CameraFilterSelTab );

    Layout41->addWidget( GroupBox58, 1, 0 );

    GroupBox59 = new QGroupBox( camera, "GroupBox59" );
    GroupBox59->setTitle( i18n( "main camera parameters" ) );
    GroupBox59->setColumnLayout(0, Qt::Vertical );
    GroupBox59->layout()->setSpacing( 0 );
    GroupBox59->layout()->setMargin( 0 );
    GroupBox59Layout = new QGridLayout( GroupBox59->layout() );
    GroupBox59Layout->setAlignment( Qt::AlignTop );
    GroupBox59Layout->setSpacing( 6 );
    GroupBox59Layout->setMargin( 11 );

    TextLabel29 = new QLabel( GroupBox59, "TextLabel29" );
    TextLabel29->setText( i18n( "Position:" ) );

    GroupBox59Layout->addWidget( TextLabel29, 1, 0 );

    TextLabel30 = new QLabel( GroupBox59, "TextLabel30" );
    TextLabel30->setText( i18n( "aim at:" ) );

    GroupBox59Layout->addWidget( TextLabel30, 2, 0 );

    TextLabel31 = new QLabel( GroupBox59, "TextLabel31" );
    TextLabel31->setText( i18n( "X" ) );
    TextLabel31->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox59Layout->addWidget( TextLabel31, 0, 1 );

    TextLabel32 = new QLabel( GroupBox59, "TextLabel32" );
    TextLabel32->setText( i18n( "Y" ) );
    TextLabel32->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox59Layout->addWidget( TextLabel32, 0, 2 );

    TextLabel33 = new QLabel( GroupBox59, "TextLabel33" );
    TextLabel33->setText( i18n( "Z" ) );
    TextLabel33->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox59Layout->addWidget( TextLabel33, 0, 3 );

    CameraPosY = new QLineEdit( GroupBox59, "CameraPosY" );
    CameraPosY->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraPosY, 1, 2 );

    CameraPosX = new QLineEdit( GroupBox59, "CameraPosX" );
    CameraPosX->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraPosX, 1, 1 );

    CameraAimtoX = new QLineEdit( GroupBox59, "CameraAimtoX" );
    CameraAimtoX->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraAimtoX, 2, 1 );

    CameraAimtoY = new QLineEdit( GroupBox59, "CameraAimtoY" );
    CameraAimtoY->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraAimtoY, 2, 2 );

    CameraPosZ = new QLineEdit( GroupBox59, "CameraPosZ" );
    CameraPosZ->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraPosZ, 1, 3 );

    CameraAimtoZ = new QLineEdit( GroupBox59, "CameraAimtoZ" );
    CameraAimtoZ->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraAimtoZ, 2, 3 );

    Layout41->addWidget( GroupBox59, 0, 1 );
    cameraLayout->addLayout( Layout41 );
    TabObjectType->insertTab( camera, i18n( "Camera" ) );

    interface = new QWidget( TabObjectType, "interface" );
    TabObjectType->insertTab( interface, i18n( "Interface" ) );

    transformation = new QWidget( TabObjectType, "transformation" );
    TabObjectType->insertTab( transformation, i18n( "Transformation" ) );

    standard = new QWidget( TabObjectType, "standard" );
    TabObjectType->insertTab( standard, i18n( "Standard" ) );

    physical = new QWidget( TabObjectType, "physical" );
    TabObjectType->insertTab( physical, i18n( "Physical" ) );
    MainDlgLayout->addWidget( TabObjectType );

    MainOutput = new QMultiLineEdit( this, "MainOutput" );
    MainOutput->setMinimumSize( QSize( 500, 200 ) );
    MainOutput->setUndoEnabled( FALSE );
    MainOutput->setUndoDepth( 1 );
    QToolTip::add(  MainOutput, i18n( "your generated objects" ) );
    MainDlgLayout->addWidget( MainOutput );

    Layout9 = new QHBoxLayout; 
    Layout9->setSpacing( 6 );
    Layout9->setMargin( 0 );
    QSpacerItem* spacer_11 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout9->addItem( spacer_11 );

    GenerateButton = new QPushButton( this, "GenerateButton" );
    GenerateButton->setText( i18n( "Generate" ) );
    Layout9->addWidget( GenerateButton );

    OkButton = new QPushButton( this, "OkButton" );
    OkButton->setText( i18n( "Ok" ) );
    Layout9->addWidget( OkButton );
    MainDlgLayout->addLayout( Layout9 );

    // signals and slots connections
    connect( OkButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( GenerateButton, SIGNAL( clicked() ), this, SLOT( generateText() ) );
    connect( LightSoftFileAttribCheck, SIGNAL( toggled(bool) ), LightSoftFileEntry, SLOT( setEnabled(bool) ) );
    connect( LightAngleEntry, SIGNAL( valueChanged(int) ), this, SLOT( coupleSpotAngles(int) ) );
    connect( LightAngleEntry, SIGNAL( valueChanged(int) ), LightPenumbraAngle, SLOT( setValue(int) ) );
    connect( LightSoftFileAttribCheck, SIGNAL( toggled(bool) ), LightSoftFileFlagEntry, SLOT( setEnabled(bool) ) );
    connect( LightType, SIGNAL( activated(int) ), this, SLOT( lightDisableCheck(int ) ) );
    connect( LightType, SIGNAL( activated(int) ), this, SLOT( generateLightSourceExplanation(int) ) );
    connect( LightAmbientPatternCheck, SIGNAL( toggled(bool) ), LightAmbientPatternEntry, SLOT( setEnabled(bool) ) );
    connect( CameraFilterEnableCheck, SIGNAL( toggled(bool) ), CameraFilterSelTab, SLOT( setEnabled(bool) ) );
    connect( CameraTypeCombo, SIGNAL( activated(int) ), this, SLOT( cameraDisableCheck(int ) ) );
    connect( CameraDofAutofocusCheck, SIGNAL( toggled(bool) ), CameraDofDepthEntry, SLOT( setDisabled(bool) ) );
    connect( CameraViewUpCheck, SIGNAL( toggled(bool) ), CameraViewUpX, SLOT( setEnabled(bool) ) );
    connect( CameraViewUpCheck, SIGNAL( toggled(bool) ), CameraViewUpY, SLOT( setEnabled(bool) ) );
    connect( CameraViewUpCheck, SIGNAL( toggled(bool) ), CameraViewUpZ, SLOT( setEnabled(bool) ) );
    connect( CameraViewFovCheck, SIGNAL( toggled(bool) ), CameraViewFovHorizEntry, SLOT( setEnabled(bool) ) );
    connect( CameraViewFovCheck, SIGNAL( toggled(bool) ), CameraViewVertEntry, SLOT( setEnabled(bool) ) );
    connect( CameraViewApertureCheck, SIGNAL( toggled(bool) ), CameraViewApertureEntry, SLOT( setEnabled(bool) ) );
    connect( CameraViewAspectCheck, SIGNAL( toggled(bool) ), CameraViewAspectEntry, SLOT( setEnabled(bool) ) );
    connect( CameraAASamplesCheck, SIGNAL( toggled(bool) ), CameraAAareaSpin_2, SLOT( setEnabled(bool) ) );
    connect( CameraAASamplesCheck, SIGNAL( toggled(bool) ), CameraAAsupersamplingSpin, SLOT( setEnabled(bool) ) );
    connect( CameraAAThresholdCheck, SIGNAL( toggled(bool) ), CameraAAThresholdEntry, SLOT( setEnabled(bool) ) );
    connect( CameraAAJitterCheck, SIGNAL( toggled(bool) ), CameraAAJitterEntry, SLOT( setEnabled(bool) ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
MainDlg::~MainDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

void MainDlg::generateText()
{
    qWarning( "MainDlg::generateText(): Not implemented yet!" );
}

void MainDlg::coupleSpotAngles(int)
{
    qWarning( "MainDlg::coupleSpotAngles(int): Not implemented yet!" );
}

void MainDlg::generateLightSourceExplanation(int)
{
    qWarning( "MainDlg::generateLightSourceExplanation(int): Not implemented yet!" );
}

void MainDlg::lightDisableCheck(int )
{
    qWarning( "MainDlg::lightDisableCheck(int ): Not implemented yet!" );
}

void MainDlg::cameraDisableCheck(int )
{
    qWarning( "MainDlg::cameraDisableCheck(int ): Not implemented yet!" );
}

#include "MainDlg.moc"
